cutlass::epilogue::thread::ReductionOpPlus< Element_, Count > Class Template Reference

`#include <reduction_op.h>`

## Classes

struct | Params
| Host-constructable parameters structure. More...

## Public Types

using | Element = Element_
using | Fragment = Array< Element, kCount >
using | Operator = plus< Fragment >

## Public Member Functions

CUTLASS_HOST_DEVICE | ReductionOpPlus (Params const &params)
| Constructs the function object, possibly loading from pointers in host memory. More...
CUTLASS_HOST_DEVICE Fragment | operator() (Fragment const &lhs, Fragment const &rhs) const
| Computes Compute => More...

## Static Public Attributes

static int const | kCount = Count

## Detailed Description

### template<typename Element_, int Count>
class cutlass::epilogue::thread::ReductionOpPlus< Element_, Count >

Applies a reduction sum to an array of elements.

## Member Typedef Documentation

template<typename Element_ , int Count>

using cutlass::epilogue::thread::ReductionOpPlus< Element_, Count >::Element = Element_

template<typename Element_ , int Count>

using cutlass::epilogue::thread::ReductionOpPlus< Element_, Count >::Fragment = Array<Element, kCount>

template<typename Element_ , int Count>

using cutlass::epilogue::thread::ReductionOpPlus< Element_, Count >::Operator = plus<Fragment>

## Constructor & Destructor Documentation

template<typename Element_ , int Count>

CUTLASS_HOST_DEVICE cutlass::epilogue::thread::ReductionOpPlus< Element_, Count >::ReductionOpPlus | ( | Params const & | params | ) |

inline

## Member Function Documentation

template<typename Element_ , int Count>

CUTLASS_HOST_DEVICE Fragment cutlass::epilogue::thread::ReductionOpPlus< Element_, Count >::operator() | ( | Fragment const & | lhs,
|  | Fragment const & | rhs
| ) |  | const

inline

## Member Data Documentation

template<typename Element_ , int Count>

int const cutlass::epilogue::thread::ReductionOpPlus< Element_, Count >::kCount = Count

static

The documentation for this class was generated from the following file:

- reduction_op.h